unit CLRSCRN;
interface
uses
 crt,
 dos;
var
  replace : array [1..80,1..25] of string[1];

function vidseg : word;
procedure FILLSCREEN(background,
                          shade : byte);
procedure CURSER(a : integer);
procedure READTHESCREEN(ww,xx,yy,zz : byte);

implementation

function vidseg : word;
begin
  if mem[$0000:$0449] = 7 then
    vidseg := $b000
  else
    vidseg := $b800;
end;

procedure FILLSCREEN(background,
                          shade : byte);
var
  charatt,
      i,j,
       vs : word;
begin
  vs := vidseg;
  j := 0;
  charatt := ($70 shl shade) + background;
  for i := 1 to 2000 do
  begin
    memW[vs:j] := charatt;
    inc(j,2);
  end;
end;

procedure CURSER(a : integer);
var
  regs : registers;
begin
  case a of
    1 : begin
          with regs do
          begin
            AH :=$01;
            CH :=$20;
            CL :=$20;
          end;
          Intr($10,regs);
        end;
    2 : begin
          with regs do
          begin
            AH :=$01;
            CH := 6;
            CL := 7;
          end;
          intr($10,regs);
        end;
      end;
end;

function screenchar : char;
var
  regs : registers;
begin
  fillchar(regs,sizeof(regs),0);
  regs.AH := 8;
  regs.BH := 0;
  intr($10,regs);
  screenchar := chr(regs.AL);
end;

procedure READTHESCREEN(ww,xx,yy,zz : byte);
var
    s : string;
  i,j : integer;
begin
  for i := ww to xx do
  begin
    for j := yy to zz do
    begin
      s := '';
      gotoXY(j,i);
      s := s+screenchar;
      replace[j,i] := s;
    end;
  end;
end;

end.
