unit DECK;
interface
var
  countdown,
      count,
       suit,
       card : integer;
   cardsuit,
       temp : string;
       face : array [1..52] of string;

procedure FIFTYTWOCARDS;

implementation

procedure THIRTEENCARDS(var s : string;
                     var suit : integer);
begin
  for card := suit*13-12 to suit*13 do
    begin
      str(card-(suit-1)*13,face[card]);
      temp := face[card]+(s);
      case card-(suit-1)*13 of
         1 : temp := 'A'+(s);
        11 : temp := 'J'+(s);
        12 : temp := 'Q'+(s);
        13 : temp := 'K'+(s);
      end;
      if (length(temp)=2) then temp := ' '+temp;
      face[card] := temp;
    end;
end;

procedure SHUFFLE;
begin
  for suit := 52 downto 1 do
  begin
    card := random(suit)+1;
    temp := face[card];
      for count := card to suit do
        begin;
          face[count] := face[count+1];
        end;
    face[suit] := temp;
  end;
end;

procedure FIFTYTWOCARDS;
begin
  count := 0;
  countdown := 0;
  for suit := 1 to 4 do
  begin
    case suit of
       1 : cardsuit := (#3);
       2 : cardsuit := (#4);
       3 : cardsuit := (#5);
       4 : cardsuit := (#6);
     end;
      THIRTEENCARDS(cardsuit,suit);
  end;
  randomize;
  countdown := countdown+1;
  SHUFFLE;
end;
end.